#include<bits/stdc++.h>
#define re register
using namespace std;
int c,t,n;
int main()
{
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	srand(time(0));
	scanf("%d%d",&c,&t);
	while(t--)
	{
		printf("%d\n",rand()%10);
	}
	return 0;
}
